OGRE: Ogre::GL3PlusRTTManager Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::GL3PlusRTTManager Class Referenceabstract

Manager/factory for RenderTextures. More...

`#include <OgreGL3PlusRenderTexture.h>`

Inheritance diagram for Ogre::GL3PlusRTTManager:
[legend]

## Public Member Functions
virtual | ~GL3PlusRTTManager ()
virtual void | bind (RenderTarget *target)=0
| Bind a certain render target. More...
virtual bool | checkFormat (PixelFormat format)=0
| Check if a certain format is usable as rendertexture format. More...
virtual MultiRenderTarget * | createMultiRenderTarget (const String &name)
| Create a multi render target. More...
virtual RenderTexture * | createRenderTexture (const String &name, const GL3PlusSurfaceDesc &target, bool writeGamma, uint fsaa)=0
| Create a texture rendertarget object. More...
virtual void | getBestDepthStencil (GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)
virtual PixelFormat | getSupportedAlternative (PixelFormat format)
| Get the closest supported alternative format. More...
virtual void | unbind (RenderTarget *target)=0
| Unbind a certain render target. More...

## Static Public Member Functions
static GL3PlusRTTManager & | getSingleton (void)
static GL3PlusRTTManager * | getSingletonPtr (void)

## Detailed Description

Manager/factory for RenderTextures.

## Constructor & Destructor Documentation

## ◆ ~GL3PlusRTTManager()

virtual Ogre::GL3PlusRTTManager::~GL3PlusRTTManager | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ bind()

virtual void Ogre::GL3PlusRTTManager::bind | ( | RenderTarget * | target | ) |
| pure virtual

Bind a certain render target.

Implemented in Ogre::GL3PlusFBOManager.

## ◆ checkFormat()

virtual bool Ogre::GL3PlusRTTManager::checkFormat | ( | PixelFormat | format | ) |
| pure virtual

Check if a certain format is usable as rendertexture format.

Implemented in Ogre::GL3PlusFBOManager.

## ◆ createMultiRenderTarget()

virtual MultiRenderTarget* Ogre::GL3PlusRTTManager::createMultiRenderTarget | ( | const String & | name | ) |
| virtual

Create a multi render target.

Reimplemented in Ogre::GL3PlusFBOManager.

## ◆ createRenderTexture()

virtual RenderTexture* Ogre::GL3PlusRTTManager::createRenderTexture | ( | const String & | name,
|  | const GL3PlusSurfaceDesc & | target,
|  | bool | writeGamma,
|  | uint | fsaa
| ) |  |
| pure virtual

Create a texture rendertarget object.

Implemented in Ogre::GL3PlusFBOManager.

## ◆ getBestDepthStencil()

virtual void Ogre::GL3PlusRTTManager::getBestDepthStencil | ( | GLenum | internalFormat,
|  | GLenum * | depthFormat,
|  | GLenum * | stencilFormat
| ) |  |
| inlinevirtual

## ◆ getSingleton()

static GL3PlusRTTManager & Ogre::Singleton< GL3PlusRTTManager >::getSingleton | ( | void |  | ) |
| inlinestaticinherited

## ◆ getSingletonPtr()

static GL3PlusRTTManager * Ogre::Singleton< GL3PlusRTTManager >::getSingletonPtr | ( | void |  | ) |
| inlinestaticinherited

## ◆ getSupportedAlternative()

virtual PixelFormat Ogre::GL3PlusRTTManager::getSupportedAlternative | ( | PixelFormat | format | ) |
| virtual

Get the closest supported alternative format.

If format is supported, returns format.

## ◆ unbind()

virtual void Ogre::GL3PlusRTTManager::unbind | ( | RenderTarget * | target | ) |
| pure virtual

Unbind a certain render target.

This is called before binding another RenderTarget, and before the context is switched. It can be used to do a copy, or just be a noop if direct binding is used.

Implemented in Ogre::GL3PlusFBOManager.

The documentation for this class was generated from the following file:

- OgreGL3PlusRenderTexture.h